from backbone.ResNet import Resnet

def build_backbone(args):
    if args.backbone in ['resnet18', 'resnet50', 'resnet34', 'resnet101']:
        model = Resnet(args.backbone, not args.no_pretrain)
    else:
        print("model: {} not found !!".format(args.backbone))
        exit(-1)
    
    return model